## util-linux 2.39.2

=== debian/changelog ===
util-linux (2.39.2-6ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch:
      skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when
      run using the Focal kernel
    - Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417
  * Dropped changes, included in Debian:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 20 Nov 2023 16:51:50 -0500

util-linux (2.39.2-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * d/util-linux.manpages,util-linux-locales.install: Generalize hurd-i386 into
    hurd-any.

  [ Chris Hofstaedtler ]
  * Fix FTBFS on hurd-i386 using upstreamed patch.
    Thanks to Samuel Thibault <sthibault@debian.org> (Closes: #1055875)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 13 Nov 2023 12:48:34 +0100

util-linux (2.39.2-5) unstable; urgency=medium

  * Fix setterm --resize

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 30 Oct 2023 23:02:25 +0100

util-linux (2.39.2-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS with stage1 profile (Closes: #1054162)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 18 Oct 2023 15:36:05 +0200

util-linux (2.39.2-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Drop asciidoctor build-dep in stage1 profile (Closes: #1053324)

  [ Chris Hofstaedtler ]
  * Remove hwclock initscript leftovers

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 15 Oct 2023 22:37:45 +0200

util-linux (2.39.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Release to unstable

 -- Mark Hindley <leepen@debian.org>  Mon, 09 Oct 2023 20:21:34 +0100

util-linux (2.39.2-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Drop hwclock machinery migrated to initscripts.

 -- Mark Hindley <leepen@debian.org>  Sun, 01 Oct 2023 14:54:02 +0100

util-linux (2.39.2-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Apply wrap-and-sort -kas

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir (Closes: #1052981)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 26 Sep 2023 17:39:54 +0200

util-linux (2.39.2-1) unstable; urgency=medium

  * New upstream version 2.39.2, fixing various libmount issues.
  * Refresh patches
  * Apply additional patches from upstream:
    * libmount: Fix regression when mounting with atime (Closes: #1042714)
    * setarch: add riscv64 support
    * cfdisk: fix menu behavior after writing changes (Closes: #927041)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 20 Aug 2023 22:14:58 +0200

=== debian/control ===
Source: util-linux
Build-Depends:
 asciidoctor <!stage1>,
 bc <!stage1 !nocheck>,
 bison,
 debhelper-compat (= 13),
 dh-exec,
 gettext,
 libaudit-dev [linux-any] <!stage1>,
 libcap-ng-dev [linux-any] <!stage1>,
 libcrypt-dev <!stage1>,
 libcryptsetup-dev [linux-any] <!pkg.util-linux.noverity>,
 libncurses-dev,
 libpam0g-dev <!stage1>,
 libreadline-dev,
 libselinux1-dev [linux-any],
 libsystemd-dev [linux-any] <!stage1>,
 libtool,
 libudev-dev [linux-any] <!stage1>,
 netbase <!stage1 !nocheck>,
 pkg-config,
 po-debconf,
 po4a,
 socat <!stage1 !nocheck>,
 systemd [linux-any] <!stage1>,
 systemd-dev [linux-any] <!stage1>,
 zlib1g-dev
Build-Conflicts:
 libedit-dev
Section: base
Priority: required
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: util-linux packagers <util-linux@packages.debian.org>
Uploaders:
 Chris Hofstaedtler <zeha@debian.org>
Standards-Version: 4.6.0
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/debian/util-linux
Vcs-Git: https://salsa.debian.org/debian/util-linux.git
Homepage: https://www.kernel.org/pub/linux/utils/util-linux/

Package: util-linux
Architecture: any
Build-Profiles: <!stage1>
Section: utils
Essential: yes
Pre-Depends:
 ${misc:Pre-Depends},
 ${shlibs:Depends}
Depends:
 ${misc:Depends}
Recommends:
 sensible-utils
Suggests:
 dosfstools,
 kbd,
 util-linux-extra,
 util-linux-locales
Provides:
 hardlink
Conflicts:
 hardlink
Replaces:
 hardlink
Multi-Arch: foreign
Description: miscellaneous system utilities
 This package contains a number of important utilities, most of which
 are oriented towards maintenance of your system. Some of the more
 important utilities included in this package allow you to view kernel
 messages, create new filesystems, view block device information,
 interface with real time clock, etc.

Package: util-linux-locales
Architecture: all
Build-Profiles: <!stage1>
Section: localization
Priority: optional
Depends:
 util-linux (>= ${source:Upstream-Version}),
 ${misc:Depends}
Breaks:
 manpages-cs (<< 4.19.0-7~),
 manpages-da (<< 4.19.0-7~),
 manpages-de (<< 4.19.0-7~),
 manpages-de-dev (<< 4.19.0-7~),
 manpages-es (<< 4.19.0-7~),
 manpages-fi (<< 4.19.0-7~),
 manpages-fr (<< 4.19.0-7~),
 manpages-fr-dev (<< 4.19.0-7~),
 manpages-hu (<< 4.19.0-7~),
 manpages-id (<< 4.19.0-7~),
 manpages-it (<< 4.19.0-7~),
 manpages-nl (<< 4.19.0-7~),
 manpages-pl (<< 4.19.0-7~),
 manpages-ro (<< 4.19.0-7~),
 manpages-ro-dev (<< 4.19.0-7~),
 manpages-sr (<< 4.19.0-7~),
 manpages-uk (<< 4.19.0-7~),
 manpages-uk-dev (<< 4.19.0-7~)
Replaces:
 manpages-cs (<< 4.19.0-7~),
 manpages-da (<< 4.19.0-7~),
 manpages-de (<< 4.19.0-7~),
 manpages-de-dev (<< 4.19.0-7~),
 manpages-es (<< 4.19.0-7~),
 manpages-fi (<< 4.19.0-7~),
 manpages-fr (<< 4.19.0-7~),
 manpages-fr-dev (<< 4.19.0-7~),
 manpages-hu (<< 4.19.0-7~),
 manpages-id (<< 4.19.0-7~),
 manpages-it (<< 4.19.0-7~),
 manpages-nl (<< 4.19.0-7~),
 manpages-pl (<< 4.19.0-7~),
 manpages-ro (<< 4.19.0-7~),
 manpages-ro-dev (<< 4.19.0-7~),
 manpages-sr (<< 4.19.0-7~),
 manpages-uk (<< 4.19.0-7~),
 manpages-uk-dev (<< 4.19.0-7~)
Multi-Arch: foreign
Description: locales files for util-linux
 This package contains the internationalization files for the util-linux
 package.
 .
 They are needed when you want the programs in util-linux to print their
 messages in other languages than English, or read manual pages in another
 language than English.

Package: mount
Architecture: linux-any
Build-Profiles: <!stage1>
Section: admin
Pre-Depends:
 ${misc:Pre-Depends},
 ${shlibs:Depends}
Depends:
 ${misc:Depends}
Suggests:
 nfs-common
Multi-Arch: foreign
Description: tools for mounting and manipulating filesystems
 This package provides the mount(8), umount(8), swapon(8),
 swapoff(8), and losetup(8) commands.

Package: bsdutils
Architecture: any
Build-Profiles: <!stage1>
Essential: yes
Section: utils
Pre-Depends:
 ${misc:Pre-Depends},
 ${shlibs:Depends}
Depends:
 ${misc:Depends}
Recommends:
 bsdextrautils
Multi-Arch: foreign
Description: basic utilities from 4.4BSD-Lite
 This package contains the bare minimum of BSD utilities needed for a Debian
 system: logger, renice, script, scriptlive, scriptreplay and wall. The
 remaining standard BSD utilities are provided by bsdextrautils.

Package: bsdextrautils
Architecture: any
Build-Profiles: <!stage1>
Section: utils
Priority: optional
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 bsdmainutils (<< 12.1.3),
 nwrite
Breaks:
 bsdmainutils (<< 12.1.3),
 nwrite
Conflicts:
 nwrite
Multi-Arch: foreign
Description: extra utilities from 4.4BSD-Lite
 This package contains some extra BSD utilities: col, colcrt, colrm, column,
 hd, hexdump, look, ul and write.
 Other BSD utilities are provided by bsdutils and calendar.

Package: fdisk
Architecture: any
Build-Profiles: <!stage1>
Section: utils
Priority: important
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 sensible-utils
Multi-Arch: foreign
Description: collection of partitioning utilities
 This package contains the classic fdisk, sfdisk and cfdisk partitioning
 utilities from the util-linux suite.
 .
 The utilities included in this package allow you to partition
 your hard disk. The utilities supports both modern and legacy
 partition tables (eg. GPT, MBR, etc).
 .
 The fdisk utility is the classical text-mode utility.
 The cfdisk utilitity gives a more userfriendly curses based interface.
 The sfdisk utility is mostly for automation and scripting uses.

Package: fdisk-udeb
Architecture: hurd-any linux-any
Build-Profiles: <!stage1 !noudeb>
Priority: optional
Section: debian-installer
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Package-Type: udeb
XB-Installer-Menu-Item: 99999
Description: Manually partition a hard drive (fdisk)

Package: libblkid1
Architecture: any
Section: libs
Priority: optional
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Description: block device ID library
 The blkid library allows system programs such as fsck and mount to
 quickly and easily find block devices by filesystem UUID or label.
 This allows system administrators to avoid specifying filesystems by
 hard-coded device names and use a logical naming system instead.

Package: libblkid1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: stripped down block device ID library, for debian-installer
 The blkid library allows system programs such as fsck and mount to
 quickly and easily find block devices by filesystem UUID or label.
 This allows system administrators to avoid specifying filesystems by
 hard-coded device names and use a logical naming system instead.
 .
 This is a minimal package for debian-installer.

Package: libblkid-dev
Architecture: any
Section: libdevel
Priority: optional
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libblkid1 (= ${binary:Version}),
 libc6-dev | libc-dev,
 uuid-dev,
 ${misc:Depends}
Multi-Arch: same
Description: block device ID library - headers
 The blkid library allows system programs such as fsck and mount to
 quickly and easily find block devices by filesystem UUID or label.
 This allows system administrators to avoid specifying filesystems by
 hard-coded device names and use a logical naming system instead.
 .
 This package contains the development environment for the blkid library.

Package: libfdisk1
Architecture: any
Section: libs
Priority: optional
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Description: fdisk partitioning library
 The libfdisk library is used for manipulating partition tables. It is
 the core of the fdisk, cfdisk, and sfdisk tools.

Package: libfdisk1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: stripped down fdisk partitioning library, for debian-installer
 The libfdisk library is used for manipulating partition tables. It is
 the core of the fdisk, cfdisk, and sfdisk tools.
 .
 This is a minimal package for debian-installer.

Package: libfdisk-dev
Architecture: any
Section: libdevel
Priority: optional
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libblkid-dev,
 libc6-dev | libc-dev,
 libfdisk1 (= ${binary:Version}),
 uuid-dev,
 ${misc:Depends}
Multi-Arch: same
Description: fdisk partitioning library - headers
 The libfdisk library is used for manipulating partition tables. It is
 the core of the fdisk, cfdisk, and sfdisk tools.
 .
 This package contains the development environment for the fdisk library.

Package: libmount1
Architecture: any
Section: libs
Priority: optional
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 cryptsetup-bin [linux-any]
Multi-Arch: same
Description: device mounting library
 This device mounting library is used by mount and umount helpers.

Package: libmount1-udeb
Package-Type: udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Priority: optional
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Architecture: linux-any
Description: stripped down device mounting library, for debian-installer
 The device mounting library, used by mount and umount helpers.
 .
 This is a minimal package for debian-installer.

Package: libmount-dev
Architecture: linux-any
Section: libdevel
Priority: optional
Depends:
 libblkid-dev,
 libc6-dev | libc-dev,
 libmount1 (= ${binary:Version}),
 libselinux1-dev,
 ${misc:Depends}
Multi-Arch: same
Description: device mounting library - headers
 This device mounting library is used by mount and umount helpers.
 .
 This package contains the development environment for the mount library.

Package: libsmartcols1
Architecture: any
Section: libs
Priority: optional
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Description: smart column output alignment library
 This smart column output alignment library is used by fdisk utilities.

Package: libsmartcols1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: stripped down smart column output aligment library, for debian-installer
 This smart column output alignment library is used by fdisk utilities.
 .
 This is a minimal package for debian-installer.

Package: libsmartcols-dev
Architecture: any
Section: libdevel
Priority: optional
Depends:
 libc6-dev | libc-dev,
 libsmartcols1 (= ${binary:Version}),
 ${misc:Depends}
Multi-Arch: same
Description: smart column output alignment library - headers
 This smart column output alignment library is used by fdisk utilities.
 .
 This package contains the development environment for the mount library.

Package: libuuid1
Architecture: any
Section: libs
Priority: optional
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 uuid-runtime
Multi-Arch: same
Description: Universally Unique ID library
 The libuuid library generates and parses 128-bit Universally Unique
 IDs (UUIDs). A UUID is an identifier that is unique within the space
 of all such identifiers across both space and time. It can be used for
 multiple purposes, from tagging objects with an extremely short lifetime
 to reliably identifying very persistent objects across a network.
 .
 See RFC 4122 for more information.

Package: uuid-runtime
Architecture: any
Build-Profiles: <!stage1>
Section: utils
Priority: optional
Pre-Depends:
 libuuid1,
 ${misc:Pre-Depends}
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: foreign
Description: runtime components for the Universally Unique ID library
 The libuuid library generates and parses 128-bit Universally Unique
 IDs (UUIDs). A UUID is an identifier that is unique within the space

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFOPTS += --with-selinux
CONFOPTS += --with-smack
CONFOPTS += --enable-partx

# Currently causes catastrophic failure with our overlayroot tpmfs,
# deleted lower setup as created by overlayroot / cloud-initrd as used
# by MAAS LP: #2037417
CONFOPTS += --disable-libmount-mountfd-support

ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	CONFOPTS += --without-systemd --without-udev --without-audit
else
	CONFOPTS += --with-systemd --with-udev --with-audit
endif

ifneq ($(filter pkg.util-linux.noverity,$(DEB_BUILD_PROFILES)),)
	CONFOPTS += --without-cryptsetup
else
	CONFOPTS += --with-cryptsetup=dlopen
endif
endif


CONFOPTS += --enable-write

# build static versions of programs used in fdisk-udeb and util-linux-udeb
CONFOPTS += --enable-static-programs=fdisk,sfdisk,blkid

# Help welcome packaging the (libmount) python bindings.
# See http://bugs.debian.org/811361
CONFOPTS += --without-python

# disable utilities shipped by other packages
# => login
CONFOPTS += --disable-login
CONFOPTS += --disable-nologin
# => procps
CONFOPTS += --disable-kill
# => passwd
CONFOPTS += --disable-chfn-chsh
# => bsdmainutils
CONFOPTS += --disable-cal

# Keep hwclock as GPLv2 (and others)
CONFOPTS += --disable-hwclock-gplv3

# Get the list of binary package, except lib* and *-udeb, from
# debian/control instead of hardcoding the list when installing
# bash-completions below.
BINARYPACKAGES := $(shell awk '/^Package: /{if($$2 !~ /^lib|-udeb$$/) print $$2}' $(CURDIR)/debian/control )

# hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

ifeq ($(filter stage1,$(DEB_BUILD_PROFILES))-$(DEB_HOST_ARCH_OS),-linux)
export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
else
export deb_systemdsystemunitdir = debhelper needs this variable even when it doesn't need it
endif

%:
	dh $@

override_dh_autoreconf:
	AM_OPTS=--copy LT_OPTS=--copy dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- $(CONFOPTS)

override_dh_auto_install:
	dh_auto_install
	#
	# remove *.la files
	rm -f debian/tmp/usr/lib/*/*.la
	#
	# Avoid shipping static libraries.
	# - libblkid.a is used by e2fsprogs.
	find debian/tmp/usr/lib -name 'lib*.a' \! -name 'libuuid.a' \! -name 'libblkid.a' -delete

override_dh_auto_clean:
	dh_auto_clean
	# drop arch-overrides, generated in dh_install by dh-exec usage.
	rm -f debian/uuid-runtime.install.$(DEB_HOST_ARCH) \
		debian/util-linux.install.$(DEB_HOST_ARCH)

override_dh_install:
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	# generate arch-override, as dh-exec install-rename can only run once.
	[ -f debian/util-linux.install.$(DEB_HOST_ARCH) ] || \
		debian/util-linux.install > \
		debian/util-linux.install.$(DEB_HOST_ARCH)
	[ -f debian/uuid-runtime.install.$(DEB_HOST_ARCH) ] || \
		debian/uuid-runtime.install > \
		debian/uuid-runtime.install.$(DEB_HOST_ARCH)
endif
	#
	install -D -p -m644 debian/fdisk-udeb.lintian-overrides \
		debian/fdisk-udeb/usr/share/lintian/overrides/fdisk-udeb
	dh_install \
		-Nfdisk-udeb -Nlibblkid1-udeb \
		-Nlibfdisk1-udeb -Nlibsmartcols1-udeb -Nlibuuid1-udeb \
		-Nutil-linux-udeb
	dh_install --remaining-packages
	#
	# Install bash-completions only for binaries we ship
	for PACKAGE in $(BINARYPACKAGES) ; do \
	for BINARY in debian/$$PACKAGE/bin/* debian/$$PACKAGE/sbin/* \
			debian/$$PACKAGE/usr/bin/* \
			debian/$$PACKAGE/usr/sbin/* ; \
	do \
		BASENAME=$$(basename $$BINARY); \
		BCDIR=usr/share/bash-completion/completions/; \
		BCNAME=$$BCDIR/$$BASENAME ; \
		if [ "$$BASENAME" != '*' ] && find "debian/tmp/$$BCNAME" -quit; \
		then \
			echo "$$PACKAGE: Installing $$BCNAME"; \
			[ -d debian/$$PACKAGE/$$BCDIR ] || \
				mkdir -p debian/$$PACKAGE/$$BCDIR; \
			mv debian/tmp/$$BCNAME debian/$$PACKAGE/$$BCNAME; \
		fi; \
	done; \
	done
	#
	rm -rf debian/*-udeb/usr/share/doc

override_dh_installman:
ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	:
else
	dh_installman --language=C
endif

override_dh_missing:
	dh_missing --list-missing

override_dh_gencontrol:
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	dh_gencontrol --package=bsdutils -- -v1:$(DEB_VERSION_UPSTREAM_REVISION)
endif
	dh_gencontrol --remaining-packages

override_dh_installinit:
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	# install uuidd sysvinit script
	make misc-utils/uuidd.rc
	ln -s ../misc-utils/uuidd.rc debian/uuid-runtime.uuidd.init
	dh_installinit --name=uuidd --restart-after-upgrade
	rm -f debian/uuid-runtime.uuidd.init
endif

override_dh_installpam:
	dh_installpam --package=util-linux --name=runuser
	dh_installpam --package=util-linux --name=runuser-l
	dh_installpam --package=util-linux --name=su
	dh_installpam --package=util-linux --name=su-l

override_dh_fixperms:
	dh_fixperms -i -a -Xusr/bin/wall -Xusr/bin/write -Xbin/mount -Xbin/umount -Xbin/su

ifeq (linux,$(DEB_HOST_ARCH_OS))
override_dh_installsystemd:
	dh_installsystemd -putil-linux fstrim.timer
	dh_installsystemd -putil-linux fstrim.service
	dh_installsystemd --remaining-packages
endif

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH_OS), linux)
	dh_auto_test --max-parallel=1
else
	@echo "WARNING: non-linux detected, making tests non-fatal."
	dh_auto_test --max-parallel=1 || true
endif

## util-linux 2.39.3

=== meson_options.txt ===
# enable various dependencies (no prefixes)

option('tinfo',       type : 'feature')
option('ncursesw',    type : 'feature')
option('ncurses',     type : 'feature')
option('slang',       type : 'feature', value : 'disabled',
       description : 'compile cfdisk with slang rather than ncurses')
option('cryptsetup',  type : 'feature')
option('cryptsetup-dlopen',  type : 'feature')
option('zlib',        type : 'feature')
option('readline',    type : 'feature')
option('nls',         type : 'feature')
option('libutil',     type : 'feature')
option('libutempter', type : 'feature')
option('libpcre2-posix',     type : 'feature')
option('libuser',     type : 'feature')
option('selinux',     type : 'feature', value : 'disabled')
option('audit',       type : 'feature', value : 'disabled')
option('smack',       type : 'feature', value : 'disabled')
option('magic',       type : 'feature')
option('econf',       type : 'feature')
option('systemd',     type : 'feature')
option('sysvinit',    type : 'feature', value : 'disabled',
       description : 'build and install sysvinit startup scripts')
option('btrfs',       type : 'feature')
option('widechar',    type : 'feature',
       description : 'compile with wide character support')

# enable building of various programs and features ("build-" prefix)

option('build-python', type : 'feature', value : 'auto',
       description : 'build python extension module')
option('python', type : 'string', value : 'python3',
       description : 'build extension module for this python')

option('build-libblkid', type : 'feature',
       description : 'build libblkid and many related utilities')
option('build-libuuid', type : 'feature',
       description : 'build libuuid and uuid utilities')
option('build-libmount', type : 'feature',
       description : 'build libmount')
option('build-libsmartcols', type : 'feature',
       description : 'build libsmartcols')
option('build-libfdisk', type : 'feature',
       description : 'build libfdisk')


option('build-fdisks', type : 'feature',
       description : 'build fdisk(8), sfdisk(8) and cfdisk(8)')
option('build-mount', type : 'feature',
       description : 'build mount(8) and umount(8)')
option('build-losetup', type : 'feature',
       description : 'build losetup')
option('build-zramctl', type : 'feature',
       description : 'build zramctl')
option('build-fsck', type : 'feature',
       description : 'build fsck')
option('build-partx', type : 'feature',
       description : 'build addpart, delpart, partx')

option('build-uuidd', type : 'feature',
       description : 'build the uuid daemon')

option('build-wipefs', type : 'feature',
       description : 'build wipefs')
option('build-mountpoint', type : 'feature',
       description : 'build mountpoint')
option('build-fallocate', type : 'feature',
       description : 'build fallocate')
option('build-unshare', type : 'feature',
       description : 'build unshare')
option('build-nsenter', type : 'feature',
       description : 'build nsenter')
option('build-setpriv', type : 'feature',
       description : 'build setpriv')
option('build-hardlink', type : 'feature',
       description : 'build hardlink')
option('build-eject', type : 'feature',
       description : 'build eject')
option('build-agetty', type : 'feature',
       description : 'build agetty')
option('build-cramfs', type : 'feature',
       description : 'build fsck.cramfs, mkfs.cramfs')
option('build-bfs', type : 'feature',
       description : 'build mkfs.bfs')
option('build-minix', type : 'feature',
       description : 'build fsck.minix, mkfs.minix')
option('build-fdformat', type : 'feature', value : 'disabled',
       description : 'build fdformat')
option('build-hwclock', type : 'feature',
       description : 'build hwclock')
option('build-lslogins', type : 'feature',
       description : 'build lslogins')
option('build-wdctl', type : 'feature',
       description : 'build wdctl')
option('build-cal', type : 'feature',
       description : 'build cal')
option('build-logger', type : 'feature',
       description : 'build logger')
option('build-switch_root', type : 'feature',
       description : 'switch_root')
option('build-pivot_root', type : 'feature',
       description : 'build pivot_root')
option('build-lsmem', type : 'feature',
       description : 'build lsmem')
option('build-lsirq', type : 'feature',
       description : 'build lsirq')
option('build-irqtop', type : 'feature',
       description : 'build irqtop')
option('build-chmem', type : 'feature',
       description : 'build chmem')
option('build-ipcrm', type : 'feature',
       description : 'build ipcrm')
option('build-ipcs', type : 'feature',
       description : 'build ipcs')
option('build-rfkill', type : 'feature',
       description : 'build rfkill')
option('build-tunelp', type : 'feature',
       description : 'build tunelp')
option('build-kill', type : 'feature',
       description : 'build kill')
option('build-last', type : 'feature',
       description : 'build last')
option('build-utmpdump', type : 'feature',
       description : 'build utmpdump')
option('build-line', type : 'feature',
       description : 'build line')
option('build-mesg', type : 'feature',
       description : 'build mesg')
option('build-raw', type : 'feature', value : 'disabled',
       description : 'build raw')
option('build-rename', type : 'feature',
       description : 'build rename')
option('build-vipw', type : 'feature',
       description : 'build vipw')
option('build-newgrp', type : 'feature',
       description : 'build newgrp')
option('build-chfn-chsh', type : 'feature',
       description : 'build chfn and chsh')
option('build-login', type : 'feature',
       description : 'build login')
option('build-nologin', type : 'feature',
       description : 'build nologin')
option('build-sulogin', type : 'feature',
       description : 'build sulogin')
option('build-su', type : 'feature',
       description : 'build su')
option('build-runuser', type : 'feature',
       description : 'build runuser')
option('build-ul', type : 'feature',
       description : 'build ul')
option('build-more', type : 'feature',
       description : 'build more')
option('build-pg', type : 'feature',
       description : 'build pg')
option('build-pipesz', type : 'feature',
       description : 'build pipesz')
option('build-setterm', type : 'feature',
       description : 'build setterm')
option('build-schedutils', type : 'feature',
       description : 'build chrt, ionice, taskset')
option('build-wall', type : 'feature',
       description : 'build wall')
option('build-write', type : 'feature',
       description : 'build write')
option('build-bash-completion', type : 'feature',
       description : 'install bash completion files')
option('build-pylibmount', type : 'feature',
       description : 'build pylibmount')

# static programs

option('static-programs', type : 'array',
       value : [],
       choices : ['losetup', 'mount', 'umount', 'fdisk', 'sfdisk', 'blkid', 'nsenter', 'unshare'],
       description : 'list of programs to also build with static linking')

# feature selection and other configuration

option('chfn-chsh-password',
       type : 'boolean', value : true,
       description : 'require the user to enter the password in chfn and chsh')
option('chsh-only-listed',
       type : 'boolean', value : true,
       description : 'chsh: only allow shells in /etc/shells')
option('use-tty-group',
       type : 'boolean', value : true,
       description : 'install wall and write setgid tty')
option('build-plymouth-support',
       type : 'feature',
       description : 'support plymouth feature in sulogin and agetty')
option('use-tls',
       type : 'boolean', value : true,
       description : 'use thread-local storage')
option('pg-bell',
       type : 'boolean', value : true,
       description : 'should pg ring the bell on invalid keys?')
option('colors-default', type: 'boolean', value: true,
       description: 'Enables colorized output from utils by default')

option('fs-search-path',
       type : 'string',
       value : '/sbin:/sbin/fs.d:/sbin/fs',
       description : 'default search path for fs helpers')
option('fs-search-path-extra',
       type : 'string',
       description : 'additional search path for fs helpers')
option('vendordir',
       type: 'string',
       description : 'directory for distribution provided econf files')

=== debian/changelog ===
util-linux (2.39.3-9ubuntu6) noble; urgency=medium

  * SECURITY UPDATE: Improper neutralization of escape sequences in wall
    - debian/rules: build with --disable-use-tty-group to properly remove
      setgid bit from both wall and write.
    - CVE-2024-28085

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Apr 2024 10:02:37 -0400

util-linux (2.39.3-9ubuntu5) noble; urgency=high

  * No change rebuild against libreadline8t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:51:40 +0200

util-linux (2.39.3-9ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:31:15 +0000

util-linux (2.39.3-9ubuntu3) noble; urgency=medium

  * SECURITY UPDATE: Improper neutralization of escape sequences in wall
    - debian/patches/upstream/CVE-2024-28085.patch: consolidate output on
      the terminal in term-utils/wall.c.
    - debian/rules: remove setuid bit from wall as recommended by upstream
      as the above patch is insufficient.
    - CVE-2024-28085

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 28 Mar 2024 08:06:33 -0400

util-linux (2.39.3-9ubuntu2) noble; urgency=medium

  * No-change rebuild to allow bootstrapping for 64-bit time_t

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Mar 2024 09:55:06 +0000

util-linux (2.39.3-9ubuntu1) noble; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch:
      skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when
      run using the Focal kernel
    - Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417
    - Move more to usr/bin.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Mar 2024 00:39:13 -0800

util-linux (2.39.3-9) unstable; urgency=medium

  * Provide libuuid1t64 on i386

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 22:36:39 +0100

util-linux (2.39.3-8) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Break/Replace libuuid1t64 and provide it versioned (Closes: #1065242)
  * Update architecture list for Provides: libuuid1t64
  * d/gbp.conf: update debian-branch

  [ Johannes Schauer Marin Rodrigues ]
  * util-linux.postinst: avoid running uname in maintainer script for
    chrootless hurd support (Closes: #1063638)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 13:45:06 +0100

util-linux (2.39.3-7) unstable; urgency=medium

  * Run wrap-and-sort -kas
  * Revert rename of libuuid1 to libuuid1t64
  * Apply upstream patches for dual-time_t-ABI

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 01 Mar 2024 11:20:22 +0100

util-linux (2.39.3-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063039

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 21:32:09 +0000

util-linux (2.39.3-6ubuntu2) noble; urgency=medium

  * Move more to usr/bin again

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 14:21:54 +0100

util-linux (2.39.3-6ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch:
      skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when
      run using the Focal kernel
    - Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 13:48:19 +0100

util-linux (2.39.3-6) unstable; urgency=medium

  * Upload to unstable.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 05 Jan 2024 15:25:05 +0100

util-linux (2.39.3-5) experimental; urgency=medium

  * Install /bin/more in the old location again, to avoid breaking bootstrap
    scenarios

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Jan 2024 14:46:09 +0100

util-linux (2.39.3-4) experimental; urgency=medium

  * Install programs into /usr{/bin,/sbin}

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Jan 2024 01:41:07 +0100

util-linux (2.39.3-3) unstable; urgency=medium

  * Add patch from upstream to fix build on alpha

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Jan 2024 01:32:22 +0100

util-linux (2.39.3-2) unstable; urgency=medium

  [ Gioele Barabucci ]
  * Install manpages via dh_installman instead of dh_install
  * d/util-linux-locales.install: Do not install manpages when building with <nodoc>
  * d/control: Support <nodoc> build profile

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 05 Dec 2023 04:22:29 +0100

util-linux (2.39.3-1) unstable; urgency=medium

  * New upstream stable release
  * Rebase patches

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 04 Dec 2023 21:35:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: util-linux
 Build-Depends:
- asciidoctor <!stage1>,
+ asciidoctor <!stage1 !nodoc>,
  bc <!stage1 !nocheck>,
  bison,
  debhelper-compat (= 13),
@@ -416,6 +416,12 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Breaks:
+ libuuid1t64 (<< ${source:Version})
+Replaces:
+ libuuid1t64
+Provides:
+ libuuid1t64 (= ${binary:Version}) [!arm !armeb !armel !armhf !hppa !hurd-i386 !kfreebsd-i386 !m68k !mips !mipsel !mipsn32 !mipsn32el !mipsn32r6 !mipsn32r6el !mipsr6 !mipsr6el !nios2 !powerpc !powerpcel !powerpcspe !s390 !sh3 !sh3eb !sh4 !sh4eb !sparc]
 Recommends:
  uuid-runtime
 Multi-Arch: same
@@ -433,14 +439,3 @@
 Build-Profiles: <!stage1>
 Section: utils
 Priority: optional
-Pre-Depends:
- libuuid1,
- ${misc:Pre-Depends}
-Depends:
- adduser,
- ${misc:Depends},
- ${shlibs:Depends}
-Multi-Arch: foreign
-Description: runtime components for the Universally Unique ID library
- The libuuid library generates and parses 128-bit Universally Unique
- IDs (UUIDs). A UUID is an identifier that is unique within the space

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
+
+CONFOPTS += --enable-usrdir-path
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFOPTS += --with-selinux
@@ -50,6 +52,9 @@
 # Keep hwclock as GPLv2 (and others)
 CONFOPTS += --disable-hwclock-gplv3
 
+# Reduce setgid programs (cf. CVE-2024-28085)
+CONFOPTS += --disable-use-tty-group
+
 # Get the list of binary package, except lib* and *-udeb, from
 # debian/control instead of hardcoding the list when installing
 # bash-completions below.
@@ -88,6 +93,8 @@
 	# drop arch-overrides, generated in dh_install by dh-exec usage.
 	rm -f debian/uuid-runtime.install.$(DEB_HOST_ARCH) \
 		debian/util-linux.install.$(DEB_HOST_ARCH)
+	# remove postinst generated in dh_installdeb
+	rm -f debian/util-linux.postinst
 
 override_dh_install:
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
@@ -161,7 +168,7 @@
 	dh_installpam --package=util-linux --name=su-l
 
 override_dh_fixperms:
-	dh_fixperms -i -a -Xusr/bin/wall -Xusr/bin/write -Xbin/mount -Xbin/umount -Xbin/su
+	dh_fixperms -i -a -Xusr/bin/wall -Xusr/bin/write -Xusr/bin/mount -Xusr/bin/umount -Xusr/bin/su
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 override_dh_installsystemd:
@@ -177,3 +184,11 @@
 	@echo "WARNING: non-linux detected, making tests non-fatal."
 	dh_auto_test --max-parallel=1 || true
 endif
+
+execute_before_dh_installdeb:
+ifeq ($(DEB_HOST_ARCH_OS), linux)
+	# due to UL_REQUIRES_LINUX([more]), only set up pager alternative
+	# on linux -- this avoids running uname in the maintainer script
+	# as doing so would be unreliable for chrootless installations
+	cp debian/util-linux.postinst.linux debian/util-linux.postinst
+endif

=== debian/tests/control ===
Tests: oversized-chunks
Depends:
 bash,
 bc,
 bsdextrautils,
 bsdutils,
 dpkg,
 grep,
 mount,
 util-linux
Restrictions: allow-stderr

Tests: libblkid-dev
Depends:
 build-essential,
 libblkid-dev,
 pkg-config
Restrictions: allow-stderr, superficial

Tests: libmount-dev
Depends:
 build-essential,
 libmount-dev,
 pkg-config
Restrictions: allow-stderr, superficial

Tests: libsmartcols-dev
Depends:
 build-essential,
 libsmartcols-dev,
 pkg-config
Restrictions: allow-stderr, superficial

Tests: uuid-dev
Depends:
 build-essential,
 pkg-config,
 uuid-dev
Restrictions: allow-stderr, superficial

## util-linux 2.39.3-9ubuntu6.3trisquel1

=== debian/changelog ===
util-linux (2.39.3-9ubuntu6.3trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 07 Jul 2025 17:48:40 +0000

util-linux (2.39.3-9ubuntu6.3) noble; urgency=medium

  * debian/patches/ubuntu/lp-2111723-0001-lscpu-New-Arm-Cortex-part-
    numbers.patch: [PATCH 1/4] lscpu: New Arm Cortex part numbers.
    Thanks to Jeremy Linton <jeremy.linton@arm.com>.  Closes LP:
    #2111723.
  * debian/patches/ubuntu/lp-2111723-0002-lscpu-use-CPU-types-de-
    duplication.patch: [PATCH 2/4] lscpu: use CPU types de-duplication.
    Thanks to Karel Zak <kzak@redhat.com>.  Closes LP: #2111723.
  * debian/patches/ubuntu/lp-2111723-0003-tests-update-lscpu-vmware_fpe-
    output.patch: [PATCH 3/4] tests: update lscpu vmware_fpe output.
    Thanks to Karel Zak <kzak@redhat.com>.  Closes LP: #2111723.
  * debian/patches/ubuntu/lp-2111723-0004-tests-add-dump-from-ARM-with-
    A510-A710-A715-X3.patch: [PATCH 4/4] tests: add dump from ARM with
    A510+A710+A715+X3.  Thanks to Karel Zak <kzak@redhat.com>.  Closes
    LP: #2111723.

 -- Andreas Glinserer <andreas.glinserer@canonical.com>  Thu, 05 Jun 2025 14:17:38 +0200

util-linux (2.39.3-9ubuntu6.2) noble; urgency=medium

  * Read the ext4 superblock with O_DIRECT if the first read produces a
    checksum failure. This fixes a race where the underlying superblock
    can be changed in memory but not on disk, resulting in checksum
    failures which in turn causes systemd-udevd to remove by-uuid and
    by-label symlinks. (LP: #2090972)
    - d/p/ubuntu/lp2090972-libblkid-fix-spurious-ext-superblock-checksum-mismat.patch

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Thu, 05 Dec 2024 15:26:54 +1300

util-linux (2.39.3-9ubuntu6.1) noble-proposed; urgency=medium

  * SRU: LP: #2076340: No-change rebuild to pick up changed build flags
    on ppc64 and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Aug 2024 04:33:22 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  libedit-dev
 Section: base
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: util-linux packagers <util-linux@packages.debian.org>
 Uploaders:
  Chris Hofstaedtler <zeha@debian.org>
@@ -438,4 +438,3 @@
 Architecture: any
 Build-Profiles: <!stage1>
 Section: utils
-Priority: optional

## util-linux 2.39.3-9ubuntu6.4trisquel1

=== debian/changelog ===
util-linux (2.39.3-9ubuntu6.4trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 16 Dec 2025 14:50:47 +0000

util-linux (2.39.3-9ubuntu6.4) noble; urgency=medium

  * Add ARM core support for Vera systems (LP: #2123886)
    - d/p/ubuntu/lp-2123886-add-missing-arm-cores.patch

 -- Joao Andre Simioni <joao.simioni@canonical.com>  Mon, 15 Sep 2025 21:08:02 -0300

## util-linux 2.40~rc2

=== debian/changelog ===
util-linux (2.40~rc2-4) UNRELEASED; urgency=medium

  * bla 

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 21:19:01 +0100

util-linux (2.40~rc2-3) experimental; urgency=medium

  * Mark lsfd/mkfds-unix-stream-requiring-sockdiag as failing too

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 20:03:39 +0100

util-linux (2.40~rc2-2) experimental; urgency=medium

  * Disable another lsfd test which is broken on the buildds.
  * Merge with unstable.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 15:20:41 +0100

util-linux (2.40~rc2-1) experimental; urgency=medium

  * New upstream version, target experimental.
  * Add new Build-Depends: flex
  * Do not build liblastlog2 for now
  * Disable newly failing lsfd test
  * Drop no-longer localized manpages

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 01 Mar 2024 00:02:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
  bison,
  debhelper-compat (= 13),
  dh-exec,
+ flex,
  gettext,
  libaudit-dev [linux-any] <!stage1>,
  libcap-ng-dev [linux-any] <!stage1>,
@@ -23,14 +24,12 @@
  po4a,
  socat <!stage1 !nocheck>,
  systemd [linux-any] <!stage1>,
- systemd-dev [linux-any] <!stage1>,
  zlib1g-dev
 Build-Conflicts:
  libedit-dev
 Section: base
 Priority: required
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: util-linux packagers <util-linux@packages.debian.org>
+Maintainer: util-linux packagers <util-linux@packages.debian.org>
 Uploaders:
  Chris Hofstaedtler <zeha@debian.org>
 Standards-Version: 4.6.0
@@ -421,7 +420,7 @@
 Replaces:
  libuuid1t64
 Provides:
- libuuid1t64 (= ${binary:Version}) [!arm !armeb !armel !armhf !hppa !hurd-i386 !kfreebsd-i386 !m68k !mips !mipsel !mipsn32 !mipsn32el !mipsn32r6 !mipsn32r6el !mipsr6 !mipsr6el !nios2 !powerpc !powerpcel !powerpcspe !s390 !sh3 !sh3eb !sh4 !sh4eb !sparc]
+ libuuid1t64 (= ${binary:Version}) [!arm !armeb !armel !armhf !hppa !i386 !hurd-i386 !kfreebsd-i386 !m68k !mips !mipsel !mipsn32 !mipsn32el !mipsn32r6 !mipsn32r6el !mipsr6 !mipsr6el !nios2 !powerpc !powerpcel !powerpcspe !s390 !sh3 !sh3eb !sh4 !sh4eb !sparc]
 Recommends:
  uuid-runtime
 Multi-Arch: same
@@ -438,3 +437,11 @@
 Architecture: any
 Build-Profiles: <!stage1>
 Section: utils
+Priority: optional
+Pre-Depends:
+ libuuid1,
+ ${misc:Pre-Depends}
+Depends:
+ adduser,
+ ${misc:Depends},
+ ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,6 @@
 CONFOPTS += --with-selinux
 CONFOPTS += --with-smack
 CONFOPTS += --enable-partx
-
-# Currently causes catastrophic failure with our overlayroot tpmfs,
-# deleted lower setup as created by overlayroot / cloud-initrd as used
-# by MAAS LP: #2037417
-CONFOPTS += --disable-libmount-mountfd-support
 
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	CONFOPTS += --without-systemd --without-udev --without-audit
@@ -52,8 +47,8 @@
 # Keep hwclock as GPLv2 (and others)
 CONFOPTS += --disable-hwclock-gplv3
 
-# Reduce setgid programs (cf. CVE-2024-28085)
-CONFOPTS += --disable-use-tty-group
+CONFOPTS += --disable-liblastlog2
+CONFOPTS += --disable-pam-liblastlog2
 
 # Get the list of binary package, except lib* and *-udeb, from
 # debian/control instead of hardcoding the list when installing
@@ -87,6 +82,9 @@
 	# Avoid shipping static libraries.
 	# - libblkid.a is used by e2fsprogs.
 	find debian/tmp/usr/lib -name 'lib*.a' \! -name 'libuuid.a' \! -name 'libblkid.a' -delete
+	#
+	# show installed man pages
+	find debian/tmp/usr/share/man
 
 override_dh_auto_clean:
 	dh_auto_clean
